<!DOCTYPE html>
<html lang="en" xmlns="http://www.w3.org/1999/xhtml"
      xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
    <link href="../static/styles.css" rel="stylesheet" th:href="@{/styles.css}"/>
</head>
<body class="body-login">
<!-- Navigation-->
<nav th:replace="/fragments/navbar-form.html :: navbar"></nav>
<br/><br/><br/><br/>
<!--Logic-->
<form action="#" th:action="@{/categories/new}" th:object="${category}" method="post" enctype="multipart/form-data">
    <div class="container">
        <div class="row">
            <div class="col-sm-9 col-md-7 col-lg-5 mx-auto">
                <div class="card border-0 shadow rounded-3 my-5">
                    <div class="card-body p-4 p-sm-5">
                        <h5 class="card-title text-center mb-5 fw-light fs-5">Create Category</h5>
                        <div class="form-floating mb-3">
                            <input type="text" th:field="*{name}" class="form-control" id="floatingInput"
                                   placeholder="Category Name">
                            <label for="floatingInput">Category Name</label>
                        </div>
                        <label class="form-label">Category Photo</label>
                        <input type="file" name="imageFile" id="imageFile" th:field="*{multipartFile}"
                               class="form-control"/>
                        <br/>


                        <div class="d-grid">
                            <button class="btn btn-secondary btn-login text-uppercase fw-bold" type="submit">
                                Add Category
                            </button>
                        </div>
                        </br>
                        <hr class="my-4">
                    </div>
                </div>
            </div>
        </div>
    </div>
</form>
</body>
</html>